/*
	DebugUtils.h
	
	by Chris Page
	
	Debugging utilities.
*/

#ifndef DEBUG_UTILS_H
#define DEBUG_UTILS_H


#ifndef DEBUG
#define DEBUG 1
#endif


#if DEBUG

void debug_trace(int depth, char *procedure_name);

class DebugTrace {
	
	// Data members.
	
	static int	depth;
	
public:
	
	// Function members.
	
			DebugTrace(char *procedure_name);
	virtual	~DebugTrace();
};

#define DB_TRACE(procedure_name) DebugTrace DB_TRACE_OBJ(procedure_name)

#else

#define DB_TRACE(procedure_name)

#endif

#endif
