/*
	
	CardModel.cpp
	
	by Chris Page
	
*/

#ifndef CARD_MODEL_H
#include "CardModel.h"
#endif


CardModel::CardModel(Suit suit, Rank rank)
{
	DB_TRACE("CardModel::CardModel");
	
	if (rank < 1 || rank > 13)
		/* error */;
	this->suit = suit;
	this->rank = rank;
}


// Return whether a card is the same color as this card.

bool CardModel::IsSameColor(CardModel *card2)
{
	DB_TRACE("CardModel::IsSameColor");
	
	if (((this->suit == cHearts || this->suit == cDiamonds)
			&& (card2->suit == cHearts || card2->suit == cDiamonds))
		|| ((this->suit == cClubs || this->suit == cSpades)
			&& (card2->suit == cClubs || card2->suit == cSpades)))
	{
		return TRUE;
	}
	
	return FALSE;
}
