/*
	
	FoundationModel.h
	
	by Chris Page
	
*/

#ifndef FOUNDATION_MODEL_H
#define FOUNDATION_MODEL_H

#ifndef LIST_H
#include <List.h>
#endif


class CardModel;

class FoundationModel {
	
	// Data members
	
	BList	*cards;
	
public:
	
	// Function members
	
					FoundationModel();
	virtual			~FoundationModel();
	
	FoundationModel	*Add(CardModel *card);

	CardModel		*Top() const;
	CardModel		*CardAt(long index) const;

	bool			IsEmpty() const;
	long			Count() const;
};

#endif
