/*
	
	DeckModel.h
	
	by Chris Page
	
*/

#ifndef DECK_MODEL_H
#define DECK_MODEL_H

#ifndef LIST_H
#include <List.h>
#endif


class CardModel;

class DeckModel {
	
	// Data members
	
	BList	*cards;
	BList	*returnedCards;
	
public:
	
	// Function members
	
				DeckModel();
	virtual		~DeckModel();
	
	DeckModel	*Shuffle();
	CardModel	*Deal(bool dealThrough = FALSE);
	void		Return(CardModel *card);
	void		Restart();

	bool		IsEmpty() const;
	bool		IsCardsEmpty() const;
	long		CountCards() const;
};

#endif
