/*
	
	HandModel.h
	
	by Chris Page
	
*/

#ifndef HAND_MODEL_H
#define HAND_MODEL_H

#ifndef LIST_H
#include <List.h>
#endif


class CardModel;

class HandModel {
	
	// Data members
	
	BList	*cards;
	
public:
	
	enum {
		cCardCount = 3
	};
	
	
	// Function members
	
				HandModel();
	virtual		~HandModel();
	
	void		Add(CardModel *card);
	CardModel	*Remove();
	CardModel	*RemoveBottom();

	CardModel	*Top() const;

	CardModel	*CardAt(long index) const;

	bool		IsEmpty() const;
	long		Count() const;
};

#endif
